{% block stylesheets %}
    {{ encore_entry_link_tags('admin-block-prices') }}
{% endblock %}
<div class="block-content-header">
    <p class="title">{{ block.displayName }}</p>
    <div class="title-menu">
        <a href="#" class="btn-save-block-prices btn-save" data-block-id="{{ block.id }}"><i class="fas fa-save"></i> <span>Сохранить</span></a>
    </div>
</div>
<div class="block-content-subheader">
    <p class="title">Header</p>
</div>
<div class="content-list-wrapper table-large-screen">
    <form class="form-header-prices">
        <table class="table table-bordered table-content">
            <tr>
                <td>
                    <label>Title:</label>
                </td>
                <td>
                    <input type="text" name="title" value="{{ block.title }}"/>
                </td>
            </tr>
            <tr>
                <td>
                    <label>Description:</label>
                </td>
                <td>
                    <input type="text" name="description" value="{{ block.description }}"/>
                </td>
            </tr>
        </table>
    </form>
</div>
<div class="content-list-wrapper table-mobile">
    <form class="form-header-prices">
        <table class="table table-bordered table-content">
            <tr>
                <td>
                    <label>Title:</label>
                    <input type="text" name="title" value="{{ block.title }}"/>
                </td>
            </tr>
            <tr>
                <td>
                    <label>Description:</label>
                    <input type="text" name="description" value="{{ block.description }}"/>
                </td>
            </tr>
        </table>
    </form>
</div>
<div class="block-content-subheader">
    <p class="title">Elements</p>
</div>
<div class="content-list-wrapper">
    <form class="form-elements-prices">
        <table class="sortable-table">
            <thead>
            <tr>
                <td>
                    <p>Title</p>
                </td>
                <td>
                    <p>Price</p>
                </td>
                <td>
                    <p>Action</p>
                </td>
            </tr>
            </thead>
            <tbody>
            {% for element in block.content %}
            <tr data-element-id="{{ element.id }}">
                <td>
                    <input type="text" name="title" value="{{ element.title }}"/>
                </td>
                <td>
                    <input type="text" name="price" value="{{ element.price }}"/>
                </td>
                <td>
                    <div class="price-menu">
                        <p><i class="fas fa-trash btn-delete-price"></i></p>
                    </div>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </form>
    <div class="btn-add">
        <button class="btn-add-price">+ Добавить</button>
    </div>
</div>

{% block javascripts %}
    {{ encore_entry_script_tags('admin-block-prices') }}
{% endblock %}